# =================================================================================================
#<profile4xi profile = "12" />
#<program4xi program = "platforminfo4xi.py">
#<abstract4xi abstract = "provides Platform information"/>
#<refer4xi reference = "Platform Information"/>
#<verify4xi verification = "10" target = "get2platforminfo4xi5test.py">
#<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; ACK4systemtesting; [Rel 7.21]"/>
# =================================================================================================

# -------------------------------------------------------------------------------------------------
# Public API
# -------------------------------------------------------------------------------------------------
#<interface4xi interface = " 
__all__ = [ 'PlatformInfo4Xi',
            'init2platforminfo4xi',
            'get2platforminfo4xi',
            'set2platforminfo4xi']
#"
#/>


# -------------------------------------------------------------------------------------------------
# Standard Imports                          
# -------------------------------------------------------------------------------------------------
#<standardize4xi standard = "
import os
import sys
import threading                
import _thread   

from decimal import *
#"
#/>


# -------------------------------------------------------------------------------------------------
# Scope4Xi imports                               
# -------------------------------------------------------------------------------------------------
#<dragonize4xi dragonization = "
import version4xi
 
#"
#/>

# -------------------------------------------------------------------------------------------------
# Multiprocessing Imports                          
# -------------------------------------------------------------------------------------------------
#<process4xi process = "
import _multiprocessing
#"
#/>


# -------------------------------------------------------------------------------------------------
# DragonXi imports                              
# -------------------------------------------------------------------------------------------------
#<dragonize4xi dragonization = "
from ace_object4xi import ace_object4xi
from print4xi import print4xi
from time4xi import time4xi
from reason_object4xi import reason_object4xi
from sense_object4xi import sense_object4xi
#"
#/>

# -------------------------------------------------------------------------------------------------
# Global constants                            
# ------------------------------------------------------------------------------------------------
#<globalize4xi globalization = "
global platforminfo4xi
       
#"
#/>

# -------------------------------------------------------------------------------------------------
# Settings
# -------------------------------------------------------------------------------------------------
#<set4xi setting = "

#"
#"/>


# -------------------------------------------------------------------------------------------------
#<function4xi function = "init2platforminfo4xi" usage = "
#    task4init2platforminfo = {}
#    
#    task4init2platforminfo['profile'] = 'FULL_PROFILE'                                                             # 'FULL_PROFILE' / 'EMBEDDED_PROFILE'
#    task4init2platforminfo['version'] = 'OpenCL 1.1 ATI-Stream-v2.3 (451)'                                         # OpenCL version supported by the implementation
#    task4init2platforminfo['name']    = 'ATI Stream'                                                               # name of platform
#    task4init2platforminfo['vendor']  = 'Advanced Micro Devices, Inc.'                                             # vendor of platform
#    task4init2platforminfo['extensions']  = 'cl_khr_icd cl_amd_event_callback cl_amd_offline_devices cl_khr_d3d10_sharing'
#
#    try:                               
#        response4init2platforminfo = init2platforminfo4xi(task4init2platforminfo)                                  # or response2xi = init2platforminfo4xi() # let the system decide!
#    except:
#        ... 
#                          
#">

# -------------------------------------------------------------------------------------------------   
def init2platforminfo4xi(task4init2platforminfo=None):

    '''
    initializes get2platforminfo4xi
    '''
    global platforminfo4xi  
    
    # -----------------------------------------------------------------------------------------
    # (Step 1/33) PARAMETERS           
    # -----------------------------------------------------------------------------------------          
    class2print = "init2platforminfo4xi"
    method2print = "init2platforminfo4xi"

    message2print = "{(Step 1A/33) started" + "; init2platforminfo4xi-started: " + str(init2platforminfo4xi)  + "; time: " + time4xi() + "}" 
    print4xi(class2print, method2print, message2print)                                                              # <function init2platforminfo4xi at 0x0000000002A8AB48>; time: 06:03:09 04/26/11 Pacific Daylight Time 
  
             
    message2print = "{(Step 1B/33) passed" + "; task4init2platforminfo-to-init2platforminfo4xi: " + str(task4init2platforminfo) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)                                                              # None
             
    if task4init2platforminfo is None:
        # -----------------------------------------------------------------------------------------
        # NOTHING GIVEN BY CALLER FOR INITIALIZATION - SYSTEM DETECTS
        # -----------------------------------------------------------------------------------------    
        task4init2platforminfo = {}                                                                                 # 
    
        task4init2platforminfo['profile'] = 'FULL_PROFILE'                                                          # 
        task4init2platforminfo['version'] = 'OpenCL 1.1 ATI-Stream-v2.3 (451)'                                     # 
        task4init2platforminfo['name']    = 'ATI Stream'                                                            # 
        task4init2platforminfo['vendor']  = 'Advanced Micro Devices, Inc.'                                          # 
        task4init2platforminfo['extensions']  = 'cl_khr_icd cl_amd_event_callback cl_amd_offline_devices cl_khr_d3d10_sharing'
 
    
    platforminfo4xi = {}                                                                                            #
    code2ack  = ' '
    code2nack = ' '
                        
    # -----------------------------------------------------------------------------------------
    # (Step 2/33) - PLATFORMINFO4XI     
    # -----------------------------------------------------------------------------------------                  
    message2print = "{(Step 2A/3) try" + "; task4init2platforminfo-try-by-init2platforminfo4xi: " + str(task4init2platforminfo)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)                                                              # {'profile':    'FULL_PROFILE', 
                                                                                                                    #  'extensions': 'cl_khr_icd cl_amd_event_callback cl_amd_offline_devices cl_khr_d3d10_sharing', 
                                                                                                                    #     'version': 'OpenCL 1.1 ATI-Stream-v2.3 (451) 
                                                                                                                    #      'vendor': 'Advanced Micro Devices, Inc.', 
                                                                                                                    #        'name': 'ATI Stream'}; time: 06:03:09 04/26/11 Pacific Daylight Time}

    
    try:
        # -----------------------------------------------------------------------------------------
        # (Step 3/33) - PROFILE
        # ----------------------------------------------------------------------------------------- 
        if task4init2platforminfo ['profile'] is None:
            platforminfo4xi['profile'] = 'FULL_PROFILE'
            message2print = "{(Step 3A/33) initialized" + "; profile-initialized-by-init2platforminfo4xi to: " + str(platforminfo4xi ['profile'])  + "; time: " + time4xi() + "}"
            print4xi(class2print, method2print, message2print)
            code2ack  = code2ack + '3A-'
        else:
            platforminfo4xi['profile'] = task4init2platforminfo ['profile']
            message2print = "{(Step 3B/33) initialized" + "; profile-initialized-by-init2platforminfo4xi to: " + str(platforminfo4xi ['profile'])  + "; time: " + time4xi() + "}"
            print4xi(class2print, method2print, message2print)                                                      # FULL_PROFILE  
            code2ack  = code2ack + '3B-'     
    except:
        message2print = "{(Step 3Z1/33) failed" + "; platforminfo4xi-failed-by-init2platforminfo4xi: " + str(platforminfo4xi) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)          
        code2nack  = code2nack + '3Z1-'
    try:
        # -----------------------------------------------------------------------------------------
        # (Step 4/33) - VERSION
        # -----------------------------------------------------------------------------------------               
        if task4init2platforminfo ['version'] is None:
            platforminfo4xi ['version'] = 'OpenCL 1.1 ATI-Stream-v2.3 (451)'
            message2print = "{(Step 4A/33) initialized" + "; version-initialized-by-init2platforminfo4xi to: " + str(platforminfo4xi ['version'])  + "; time: " + time4xi() + "}"
            print4xi(class2print, method2print, message2print)
            code2ack  = code2ack + '4A-'
        else:
            platforminfo4xi ['version'] = task4init2platforminfo ['version']
            message2print = "{(Step 4B/33) initialized" + "; version-initialized-by-init2platforminfo4xi to: " + str(platforminfo4xi ['version'])  + "; time: " + time4xi() + "}"
            print4xi(class2print, method2print, message2print)                                                      # OpenCL 1.1 ATI-Stream-v2.3 (451)
            code2ack  = code2ack + '4B-'
    except: 
        message2print = "{(Step 4Z1/33) failed" + "; platforminfo4xi-failed-by-init2platforminfo4xi: " + str(platforminfo4xi) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)  
        code2nack  = code2nack + '4Z1-'            
    
    try:
        # -----------------------------------------------------------------------------------------
        # (Step 5/33) - NAME
        # -----------------------------------------------------------------------------------------                                          
        if task4init2platforminfo ['name'] is None:
            platforminfo4xi['name']    = 'ATI Stream'
            message2print = "{(Step 5A/33) initialized" + "; name-initialized-by-init2platforminfo4xi to: " + str(platforminfo4xi ['name'])  + "; time: " + time4xi() + "}"
            print4xi(class2print, method2print, message2print)
            code2ack  = code2ack + '5A-'      
        else:
            platforminfo4xi ['name'] = task4init2platforminfo ['name']
            message2print = "{(Step 5B/33) initialized" + "; name-initialized-by-init2platforminfo4xi to: " + str(platforminfo4xi ['name'])  + "; time: " + time4xi() + "}"
            print4xi(class2print, method2print, message2print)                                                      # ATI Stream 
            code2ack  = code2ack + '5B-'
    except:
        message2print = "{(Step 5Z1/33) failed" + "; name-failed-by-init2platforminfo4xi: " + str(platforminfo4xi) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)  
        code2nack  = code2nack + '5Z1-'    
    try: 
        # -----------------------------------------------------------------------------------------
        # (Step 6/33) - VENDOR
        # -----------------------------------------------------------------------------------------                
        if task4init2platforminfo ['vendor'] is None:
            platforminfo4xi['vendor']  = 'Advanced Micro Devices, Inc.'
            message2print = "{(Step 6A/33) initialized" + "; vendor-initialized-by-init2platforminfo4xi to: " + str(platforminfo4xi ['vendor'])  + "; time: " + time4xi() + "}"
            print4xi(class2print, method2print, message2print) 
            code2ack  = code2ack + '6A-'      
        else:
            platforminfo4xi ['vendor'] = task4init2platforminfo ['vendor']            
            message2print = "{(Step 6B/33) initialized" + "; vendor-initialized-by-init2platforminfo4xi to: " + str(platforminfo4xi ['vendor'])  + "; time: " + time4xi() + "}"
            print4xi(class2print, method2print, message2print)                                                      # Advanced Micro Devices, Inc
            code2ack  = code2ack + '6B-'
    except:
        message2print = "{(Step 6Z1/33) failed" + "; platforminfo4xi-failed-by-init2platforminfo4xi: " + str(platforminfo4xi) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)     
        code2nack  = code2nack + '6Z1-'    
        
    try: 
        # -----------------------------------------------------------------------------------------
        # (Step 7/33) - EXTENSIONS
        # -----------------------------------------------------------------------------------------                
        if task4init2platforminfo ['extensions'] is None:
            platforminfo4xi['extensions']  = 'cl_khr_icd cl_amd_event_callback cl_amd_offline_devices cl_khr_d3d10_sharing' 
            message2print = "{(Step 7A/33) initialized" + "; extensions-initialized-by-init2platforminfo4xi to: " + str(platforminfo4xi ['extensions'])  + "; time: " + time4xi() + "}"
            print4xi(class2print, method2print, message2print)
            code2ack  = code2ack + '7A-'          
        else:
            platforminfo4xi ['extensions'] = task4init2platforminfo ['extensions']            
            message2print = "{(Step 7B/33) initialized" + "; extensions-initialized-by-init2platforminfo4xi to: " + str(platforminfo4xi ['extensions'])  + "; time: " + time4xi() + "}"
            print4xi(class2print, method2print, message2print)                                                      # cl_khr_icd cl_amd_event_callback cl_amd_offline_devices cl_khr_d3d10_sharing
            code2ack  = code2ack + '7B-'
    except:
        message2print = "{(Step 7Z1/33) failed" + "; platforminfo4xi-failed-by-init2platforminfo4xi: " + str(platforminfo4xi) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)   
        code2nack  = code2nack + '7Z1-'
          
    # -----------------------------------------------------------------------------------------
    # (Step 33/3)           
    # -----------------------------------------------------------------------------------------
    platforminfo4xi ['ack2return']  = code2ack
    platforminfo4xi ['nack2return'] = code2nack
    
    message2print = "{(Step 33/33) returning" + "; platforminfo4xi-returning-by-init2platforminfo4xi: " + str(platforminfo4xi) + "; time: " + time4xi() + "}"  
    print4xi(class2print, method2print, message2print)                                                              # {     'profile': 'FULL_PROFILE', 
                                                                                                                    #        'vendor': 'Advanced Micro Devices, Inc.', 
                                                                                                                    #          'name': 'ATI Stream', 
                                                                                                                    #    'ack2return': '2A3B4B5B6B7B', 
                                                                                                                    #       'version': 'OpenCL 1.1 ATI-Stream-v2.3 (451)', 
                                                                                                                    #    'extensions': 'cl_khr_icd cl_amd_event_callback cl_amd_offline_devices cl_khr_d3d10_sharing', 
                                                                                                                    #   'nack2return': 
                                                                                                                    # }; time: 01:26:00 04/27/11 Pacific Daylight Time}

    
    return platforminfo4xi
            
#</function4xi> 

# -------------------------------------------------------------------------------------------------
#<function4xi function = "set2platforminfo4xi" usage = "
#    task4set2platforminfo = {}                                                                                    # total resetting (optionally only some elements)
#    task4set2platforminfo['profile'] = 'FULL_PROFILE'                                                             # 'FULL_PROFILE' / 'EMBEDDED_PROFILE'
#    task4set2platforminfo['version'] = 'OpenCL 1.1 ATI-Stream-v2.3 (451)'                                        # OpenCL version supported by the implementation
#    task4set2platforminfo['name']    = 'ATI Stream'                                                               # name of platform
#    task4set2platforminfo['vendor']  = 'Advanced Micro Devices, Inc.'                                             # vendor of platform
#    task4set2platforminfo['extensions']  = 'cl_khr_icd cl_amd_event_callback cl_amd_offline_devices cl_khr_d3d10_sharing'
#
#    try:                               
#        response4set2platforminfo = set2platforminfo4xi(task4set2platforminfo)                                  # or response2xi = set2platforminfo4xi() # let the system decide!
#    except:
#        ... 
#                          
#">

# -------------------------------------------------------------------------------------------------   
def set2platforminfo4xi(task4set2platforminfo=None):

    '''
    setializes get2platforminfo4xi
    '''
    global platforminfo4xi  
    
    # -----------------------------------------------------------------------------------------
    # (Step 1/33) PARAMETERS           
    # -----------------------------------------------------------------------------------------          
    class2print = "set2platforminfo4xi"
    method2print = "set2platforminfo4xi"

    message2print = "{(Step 1A/33) started" + "; set2platforminfo4xi-started: " + str(set2platforminfo4xi)  + "; time: " + time4xi() + "}" 
    print4xi(class2print, method2print, message2print)                                                              # <function set2platforminfo4xi at 0x00000000030BCB48>; time: 06:16:23 04/26/11 Pacific Daylight Time} 
  
             
    message2print = "{(Step 1B/33) passed" + "; task4set2platforminfo-to-set2platforminfo4xi: " + str(task4set2platforminfo) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)                                                              # None 
             
    if task4set2platforminfo is None:
        # -----------------------------------------------------------------------------------------
        # NOTHING GIVEN BY CALLER FOR SETTING - SYSTEM DETECTS AND SETS
        # -----------------------------------------------------------------------------------------    
        task4set2platforminfo = {}                                                                                  # 
    
        task4set2platforminfo['profile'] = 'FULL_PROFILE'                                                           # 
        task4set2platforminfo['version'] = 'OpenCL 1.1 ATI-Stream-v2.3 (451)'                                       # 
        task4set2platforminfo['name']    = 'ATI Stream'                                                             # 
        task4set2platforminfo['vendor']  = 'Advanced Micro Devices, Inc.'                                           # 
        task4set2platforminfo['extensions']  = 'cl_khr_icd cl_amd_event_callback cl_amd_offline_devices cl_khr_d3d10_sharing'
 
    
    platforminfo4xi = {}                                                                                            #
    code2ack  = ' '
    code2nack = ' '
                        
    # -----------------------------------------------------------------------------------------
    # (Step 2/33) - PLATFORMINFO4XI     
    # -----------------------------------------------------------------------------------------                  
    message2print = "{(Step 2A/3) try" + "; task4set2platforminfo-try-by-set2platforminfo4xi: " + str(task4set2platforminfo)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)                                                              # {'profile': 'FULL_PROFILE', 'extensions': 'cl_khr_icd cl_amd_event_callback cl_amd_offline_devices cl_khr_d3d10_sharing', 'version': 'OpenCL 1.1 ATI-Stream-v2.3 (451)', 'vendor': 'Advanced Micro Devices, Inc.', 'name': 'ATI Stream'}; time: 06:16:23 04/26/11 Pacific Daylight Time}
    
    try:
        # -----------------------------------------------------------------------------------------
        # (Step 3/33) - PROFILE
        # ----------------------------------------------------------------------------------------- 
        if task4set2platforminfo ['profile'] is None:
            platforminfo4xi['profile'] = 'FULL_PROFILE'
            message2print = "{(Step 3A/33) set" + "; profile-set-by-set2platforminfo4xi to: " + str(platforminfo4xi ['profile'])  + "; time: " + time4xi() + "}"
            print4xi(class2print, method2print, message2print)                                                      # 
            code2ack  = code2ack + '3A-'  
        else:
            platforminfo4xi['profile'] = task4set2platforminfo ['profile']
            message2print = "{(Step 3B/33) set" + "; profile-set-by-set2platforminfo4xi to: " + str(platforminfo4xi ['profile'])  + "; time: " + time4xi() + "}"
            print4xi(class2print, method2print, message2print)                                                      # FULL_PROFILE 
            code2ack  = code2ack + '3B-'          
    except:
        message2print = "{(Step 3Z1/33) failed" + "; platforminfo4xi-failed-by-set2platforminfo4xi: " + str(platforminfo4xi) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)
        code2nack  = code2nack + '3Z1-'             
    
    try:
        # -----------------------------------------------------------------------------------------
        # (Step 4/33) - VERSION
        # -----------------------------------------------------------------------------------------               
        if task4set2platforminfo ['version'] is None:
            platforminfo4xi ['version'] = 'OpenCL 1.1 ATI-Stream-v2.3 (451)'
            message2print = "{(Step 4A/33) set" + "; version-set-by-set2platforminfo4xi to: " + str(platforminfo4xi ['version'])  + "; time: " + time4xi() + "}"
            print4xi(class2print, method2print, message2print)
            code2ack  = code2ack + '4A-' 
        else:
            platforminfo4xi ['version'] = task4set2platforminfo ['version']
            message2print = "{(Step 4B/33) set" + "; version-set-by-set2platforminfo4xi to: " + str(platforminfo4xi ['version'])  + "; time: " + time4xi() + "}"
            print4xi(class2print, method2print, message2print)                                                      # OpenCL 1.1 ATI-Stream-v2.3 (451)
            code2ack  = code2ack + '4B-'  
    except: 
        message2print = "{(Step 4Z1/33) failed" + "; platforminfo4xi-failed-by-set2platforminfo4xi: " + str(platforminfo4xi) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print) 
        code2nack  = code2nack + '4Z1-'                
    
    try:
        # -----------------------------------------------------------------------------------------
        # (Step 5/33) - NAME
        # -----------------------------------------------------------------------------------------                                          
        if task4set2platforminfo ['name'] is None:
            platforminfo4xi['name']    = 'ATI Stream'
            message2print = "{(Step 5A/33) set" + "; name-set-by-set2platforminfo4xi to: " + str(platforminfo4xi ['name'])  + "; time: " + time4xi() + "}"
            print4xi(class2print, method2print, message2print) 
            code2ack  = code2ack + '5A-'          
        else:
            platforminfo4xi ['name'] = task4set2platforminfo ['name']
            message2print = "{(Step 5B/33) set" + "; name-set-by-set2platforminfo4xi to: " + str(platforminfo4xi ['name'])  + "; time: " + time4xi() + "}"
            print4xi(class2print, method2print, message2print)                                                      # ATI Stream 
            code2ack  = code2ack + '5B-'  
    except:
        message2print = "{(Step 5Z1/33) failed" + "; name-failed-by-set2platforminfo4xi: " + str(platforminfo4xi) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print) 
        code2nack  = code2nack + '5Z1-'    
        
    try: 
        # -----------------------------------------------------------------------------------------
        # (Step 6/33) - VENDOR
        # -----------------------------------------------------------------------------------------                
        if task4set2platforminfo ['vendor'] is None:
            platforminfo4xi['vendor']  = 'Advanced Micro Devices, Inc.'
            message2print = "{(Step 6A/33) set" + "; vendor-set-by-set2platforminfo4xi to: " + str(platforminfo4xi ['vendor'])  + "; time: " + time4xi() + "}"
            print4xi(class2print, method2print, message2print) 
            code2ack  = code2ack + '6A-'             
        else:
            platforminfo4xi ['vendor'] = task4set2platforminfo ['vendor']            
            message2print = "{(Step 6B/33) set" + "; vendor-set-by-set2platforminfo4xi to: " + str(platforminfo4xi ['vendor'])  + "; time: " + time4xi() + "}"
            print4xi(class2print, method2print, message2print)                                                      # Advanced Micro Devices, Inc.
            code2ack  = code2ack + '6B-'   
    except:
        message2print = "{(Step 6Z1/33) failed" + "; platforminfo4xi-failed-by-set2platforminfo4xi: " + str(platforminfo4xi) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print) 
        code2nack  = code2nack + '6Z1-'       
        
        
    try: 
        # -----------------------------------------------------------------------------------------
        # (Step 7/33) - EXTENSIONS
        # -----------------------------------------------------------------------------------------                
        if task4set2platforminfo ['extensions'] is None:
            platforminfo4xi['extensions']  = 'cl_khr_icd cl_amd_event_callback cl_amd_offline_devices cl_khr_d3d10_sharing' 
            message2print = "{(Step 7A/33) set" + "; extensions-set-by-set2platforminfo4xi to: " + str(platforminfo4xi ['extensions'])  + "; time: " + time4xi() + "}"
            print4xi(class2print, method2print, message2print)  
            code2ack  = code2ack + '7A-'                 
        else:
            platforminfo4xi ['extensions'] = task4set2platforminfo ['extensions']            
            message2print = "{(Step 7B/33) set" + "; extensions-set-by-set2platforminfo4xi to: " + str(platforminfo4xi ['extensions'])  + "; time: " + time4xi() + "}"
            print4xi(class2print, method2print, message2print)                                                      # cl_khr_icd cl_amd_event_callback cl_amd_offline_devices cl_khr_d3d10_sharing 
            code2ack  = code2ack + '7B-'  
    except:
        message2print = "{(Step 7Z1/33) failed" + "; platforminfo4xi-failed-by-set2platforminfo4xi: " + str(platforminfo4xi) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print) 
        code2nack  = code2nack + '7Z1-'     
        
    # -----------------------------------------------------------------------------------------
    # (Step 33/3)           
    # -----------------------------------------------------------------------------------------
    platforminfo4xi ['ack2return']  = code2ack
    platforminfo4xi ['nack2return'] = code2nack 
    
    message2print = "{(Step 33/33) returning" + "; platforminfo4xi-returning-by-set2platforminfo4xi: " + str(platforminfo4xi) + "; time: " + time4xi() + "}" 
    print4xi(class2print, method2print, message2print)                                                              # {      'profile': 'FULL_PROFILE', 
                                                                                                                    #         'vendor': 'Advanced Micro Devices, Inc.', 
                                                                                                                    #           'name': 'ATI Stream', 
                                                                                                                    #     'ack2return': ' 3B4B5B6B7B', 
                                                                                                                    #        'version': 'OpenCL 1.1 ATI-Stream-v2.3 (451)', 
                                                                                                                    #     'extensions': 'cl_khr_icd cl_amd_event_callback cl_amd_offline_devices cl_khr_d3d10_sharing',
                                                                                                                    #    'nack2return': ' '
                                                                                                                    # }; time: 01:38:09 04/27/11 Pacific Daylight Time}


    return platforminfo4xi

            
#</function4xi>
 

# -------------------------------------------------------------------------------------------------
#<function4xi function = "get2platforminfo4xi" usage = "
#
#    try:                               
#        response4get2platforminfo = get2platforminfo4xi()                                        
#                                                                                                                   
#    except:
#        ... 
#                          
#">

# -------------------------------------------------------------------------------------------------   
def get2platforminfo4xi():

    '''
    gets get2platforminfo4xi
    '''
    global platforminfo4xi
    
    # -----------------------------------------------------------------------------------------
    # (Step 1/33)           
    # -----------------------------------------------------------------------------------------          
    class2print = "get2platforminfo4xi"
    method2print = "get2platforminfo4xi"

    message2print = "{(Step 1A/33) started" + "; get2platforminfo-started: " + str(get2platforminfo4xi)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)                                                              # <function get2platforminfo4xi at 0x00000000030BCC48>; time: 06:16:23 04/26/11 Pacific Daylight Time}
    
    try: 
        if platforminfo4xi is None:
            # -------------------------------------------------------------------------------------
            # INITIALIZE           
            # -------------------------------------------------------------------------------------           
            platform2xi = init2platforminfo4xi()
            message2print = "{(Step 1C/2) got" + "; platform2xi-got-by-get2platforminfo: " + str(platform2xi)  + "; time: " + time4xi() + "}"
            print4xi(class2print, method2print, message2print)
    except:
        try:
            # -------------------------------------------------------------------------------------
            # INITIALIZE           
            # -------------------------------------------------------------------------------------           
            platform2xi = init2platforminfo4xi()
            message2print = "{(Step 1D/2) got" + "; platform2xi-got-by-get2platforminfo: " + str(platform2xi)  + "; time: " + time4xi() + "}"
            print4xi(class2print, method2print, message2print)
        except:
            platform2xi = {}
            
            message2print = "{(Step 1Z/70) yielded" + "; platform2xi-yielded-by-get2platforminfo: " + str(platform2xi) + "; time: " + time4xi() + "}"
            print4xi(class2print, method2print, message2print)            

    message2print = "{(Step 33/33) returning" + "; platforminfo4xi-returning-by-get2platforminfo: " + str(platforminfo4xi) + "; time: " + time4xi() + "}" 
    print4xi(class2print, method2print, message2print)
    # {      'profile': 'FULL_PROFILE', 
    #         'vendor': 'Advanced Micro Devices, Inc.', 
    #           'name': 'ATI Stream', 
    #      ack2return': ' 3B4B5B6B7B', 
    #        'version': 'OpenCL 1.1 ATI-Stream-v2.3 (451)', 
    #     'extensions': 'cl_khr_icd cl_amd_event_callback cl_amd_offline_devices cl_khr_d3d10_sharing', 
    #    'nack2return': ' '
    #}; time: 01:38:09 04/27/11 Pacific Daylight Time}


    
    return platforminfo4xi
            
#</function4xi> 
 
                                               
# =================================================================================================
#<class4xi class = "PlatformInfo4Xi" base = "object" child = "None"
#   synopsis = "offers  methods for Platform IDs" usage = "OpenCL Platform Info"
#>

# =================================================================================================
class PlatformInfo4Xi(object): 
    ''' 
    PlatformInfo4Xi offers  methods for Platform Information
    '''            

    #                                        
    # ---------------------------------------------------------------------------------------------
    # sharable class variables
    # ---------------------------------------------------------------------------------------------      
    #<share4xi share = " 
    classvariable2platform = None
    #"
    #/>
        
    # ---------------------------------------------------------------------------------------------
    # Public API of this class
    # ---------------------------------------------------------------------------------------------    
    #<expose4xi expose = "
    _exposed_ = (
    'init2platforminfo',
    'get2platforminfo',
    'set2platforminfo',
    'sense',
    'reason',
    'ace')          
    #"
    #/>
 
    # ---------------------------------------------------------------------------------------------
    #<methodize4xi method = "init-of-PlatformInfo4Xi" usage = "initializes PlatformInfo4Xi">
    
    # ---------------------------------------------------------------------------------------------   
    def __init__(self, task4init2platforminfo = None):
        '''
        _init__ method initializes PlatformInfo4Xi
        ''' 
        
        # -----------------------------------------------------------------------------------------
        # (Step 1/33)           
        # -----------------------------------------------------------------------------------------
                    
        class2print = "PlatformInfo4Xi"
        method2print = "__init__"
                     
        message2print = "{(Step 1A/33) started" + "; init-of-PlatformInfo4Xi-started: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)                                                          # 06:16:23 04/26/11 Pacific Daylight Time  

        message2print = "{(Step 1B/33) borning" + "; platformid2xi-of-PlatformInfo4Xi-borning: " + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)                                                          # platformid2xi-of-PlatformInfo4Xi-borning: ; time: 06:16:23 04/26/11 Pacific Daylight Time      
                
        message2print = "{(Step 1C/33) inheriting" + "; object-inheriting-by-platformid2xi-of-PlatformInfo4Xi: " + str(object)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)                                                          # <class 'object'>         
        
        message2print = "{(Step 1D/33) sharing" + "; classvariable2platform-sharing-by-platformid2xi-of-PlatformInfo4Xi: " + str(PlatformInfo4Xi.classvariable2platform)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)                                                          # None                     
                                
        message2print = "{(Step 1E/33) passed" + "; task4init2platforminfo-passed-to-init-of-PlatformInfo4Xi: " + str(task4init2platforminfo) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)                                                          # None                                   
        
        # -----------------------------------------------------------------------------------------
        # (Step 2/33)             
        # -----------------------------------------------------------------------------------------
        
        message2print = "{(Step 2A/33) passing" + "; task4init2platforminfo-passing-to-init2platforminfo4xi-by-init-of-PlatformInfo4Xi: " + str(task4init2platforminfo) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)                                                          # None       
        
        platforminfo2xi = init2platforminfo4xi(task4init2platforminfo)
        
        message2print = "{(Step 2B/33) performed" + "; init2platforminfo4xi-performed-by-init-of-PlatformInfo4Xi: " + str(init2platforminfo4xi) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)                                                          # <function init2platforminfo4xi at 0x00000000030BCE48>          
                        
        # -----------------------------------------------------------------------------------------
        # (Step 3/33)             
        # -----------------------------------------------------------------------------------------
        message2print = "{(Step 3A/33) activated" + "; platformid2xi-of-PlatformInfo4Xi-activated: " + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)                                                          # 06:16:23 04/26/11 Pacific Daylight Time 
                
        message2print = "{(Step 3B/33) inherited" + "; object-inherited-by-platformid2xi-of-PlatformInfo4Xi: " + str(object)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)                                                          # <class 'object'>        
        
        message2print = "{(Step 3C/33) shared" + "; classvariable2platform-shared-by-platformid2xi-of-PlatformInfo4Xi: " + str(PlatformInfo4Xi.classvariable2platform)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)                                                          # None                     
       
        message2print = "{(Step 3D/33) returning" + "; init-of-PlatformInfo4Xi-returning: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print)                                                          # 06:16:23 04/26/11 Pacific Daylight Time
        

    #</methodize4xi>
    

    # ---------------------------------------------------------------------------------------------
    #<methodize4xi method = "init-of-PlatformInfo4Xi" usage = "initializes objects of PlatformInfo4Xi">
    
    # ---------------------------------------------------------------------------------------------   
    def init2platforminfo(self, task4init2platforminfo = None):
        '''
        init2platforminfo method initializes objects of PlatformInfo4Xi
        ''' 
        
        # -----------------------------------------------------------------------------------------
        # (Step 1/33)           
        # -----------------------------------------------------------------------------------------              
        class2print = "PlatformInfo4Xi"
        method2print = "init2platforminfo"
                     
        message2print = "{(Step 1A/33) started" + "; init-of-PlatformInfo4Xi-started: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)   
            
        message2print = "{(Step 1B/33) passed" + "; task4init2platforminfo-passed-to-init-of-PlatformInfo4Xi: " + str(task4init2platforminfo) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)                                      
          
        # -----------------------------------------------------------------------------------------
        # (Step 2/33)           
        # -----------------------------------------------------------------------------------------
        message2print = "{(Step 2A/33) passing" + "; task4init2platforminfo-passing-to-init2platforminfo4xi-by-init-of-PlatformInfo4Xi: " + str(task4init2platforminfo) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)            
                
  
        platforminfo2xi = init2platforminfo4xi(task4init2platforminfo)

        message2print = "{(Step 2B/33) performed" + "; init2platforminfo4xi-performed-by-init-of-PlatformInfo4Xi: " + str(init2platforminfo4xi) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)             
                                
        # -----------------------------------------------------------------------------------------
        # (Step 3/33)           
        # ----------------------------------------------------------------------------------------- 
        message2print = "{(Step 3/33) returning" + "; platforminfo2xi-returning-by-init2platforminfo-of-PlatformInfo4Xi: " + str(platforminfo2xi) + "; time: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print)                                                          # {         'profile': 'EMBEDDED_PROFILE3', 
                                                                                                                    #            'vendor': 'Advanced Micro Devices, Inc3.', 
                                                                                                                    #              'name': 'ATI APP3', 
                                                                                                                    #        'ack2return': ' 3B4B5B6B7B', 
                                                                                                                    #           'version': 'OpenCL 1.1 ATI-Stream-v2.4 (453)', 
                                                                                                                    #        'extensions': 'cl_khr_icd cl_amd_event_callback cl_amd_embedded_devices cl_khr_d3d10_sharing3',
                                                                                                                    #       'nack2return': ' '
                                                                                                                    # }; time: 01:38:09 04/27/11 Pacific Daylight Time}
 
                
        return platforminfo2xi
                                
                            
    #</methodize4xi>
    

    # ---------------------------------------------------------------------------------------------
    #<methodize4xi method = "set2platforminfo-of-PlatformInfo4Xi" usage = "sets objects of PlatformInfo4Xi">
    
    # ---------------------------------------------------------------------------------------------   
    def set2platforminfo(self, task4set2platforminfo = None):
        '''
        set2platforminfo method sets objects of PlatformInfo4Xi
        ''' 
        
        # -----------------------------------------------------------------------------------------
        # (Step 1/33)           
        # -----------------------------------------------------------------------------------------              
        class2print = "PlatformInfo4Xi"
        method2print = "set2platforminfo"
                     
        message2print = "{(Step 1A/33) started" + "; set2platforminfo-of-PlatformInfo4Xi-started: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)   
            
        message2print = "{(Step 1B/33) passed" + "; task4set2platforminfo-passed-to-set2platforminfo-of-PlatformInfo4Xi: " + str(task4set2platforminfo) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)                                      
          
        # -----------------------------------------------------------------------------------------
        # (Step 2/33)           
        # -----------------------------------------------------------------------------------------
        message2print = "{(Step 2A/33) passing" + "; task4set2platforminfo-passing-to-set-get2platforminfo4xi-by-set2platforminfo-of-PlatformInfo4Xi: " + str(task4set2platforminfo) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)            
                
  
        platforminfo2xi = set2platforminfo4xi(task4set2platforminfo)

        message2print = "{(Step 2B/33) performed" + "; set-get2platforminfo4xi-performed-by-set2platforminfo-of-PlatformInfo4Xi: " + str(set2platforminfo4xi) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)             
                                
        # -----------------------------------------------------------------------------------------
        # (Step 3/33)           
        # ----------------------------------------------------------------------------------------- 
       
        message2print = "{(Step 3A/33) returning" + "; platforminfo2xi-returning-by-set2platforminfo-of-PlatformInfo4Xi: " + str(platforminfo2xi) + "; time: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print)                                                          # {        'profile': 'EMBEDDED_PROFILE4', 
                                                                                                                    #           'vendor': 'Advanced Micro Devices, Inc4.', 
                                                                                                                    #             'name': 'ATI APP4', 
                                                                                                                    #       'ack2return': ' 3B4B5B6B7B', 
                                                                                                                    #          'version': 'OpenCL 1.1 ATI-Stream-v2.4 (454)', 
                                                                                                                    #       'extensions': 'cl_khr_icd cl_amd_event_callback cl_amd_embedded_devices cl_khr_d3d10_sharing4', 
                                                                                                                    #      'nack2return': ' '
                                                                                                                    #}; time: 01:38:09 04/27/11 Pacific Daylight Time}
                
        return platforminfo2xi
                                
                            
    #</methodize4xi>

    # ---------------------------------------------------------------------------------------------
    #<methodize4xi method = "get2platforminfo-of-PlatformInfo4Xi" usage = "gets objects of PlatformInfo4Xi">
    
    # ---------------------------------------------------------------------------------------------   
    def get2platforminfo(self):
        '''
        get2platforminfo method gets objects of PlatformInfo4Xi
        ''' 
        
        # -----------------------------------------------------------------------------------------
        # (Step 1/33)           
        # -----------------------------------------------------------------------------------------              
        class2print = "PlatformInfo4Xi"
        method2print = "get2platforminfo"
                     
        message2print = "{(Step 1A/33) started" + "; get2platforminfo-of-PlatformInfo4Xi-started: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)   
            

        # -----------------------------------------------------------------------------------------
        # (Step 2/33)           
        # ----------------------------------------------------------------------------------------- 
        platforminfo2xi = get2platforminfo4xi()
        
        message2print = "{(Step 2A/33) returning" + "; platforminfo2xi-returning-by-get2platforminfo-of-PlatformInfo4Xi: " + str(platforminfo2xi) + "; time: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print)                                                          # {        'profile': 'EMBEDDED_PROFILE4', 
                                                                                                                    #           'vendor': 'Advanced Micro Devices, Inc4.', 
                                                                                                                    #             'name': 'ATI APP4', 
                                                                                                                    #       'ack2return': ' 3B4B5B6B7B', 
                                                                                                                    #          'version': 'OpenCL 1.1 ATI-Stream-v2.4 (454)', 
                                                                                                                    #       'extensions': 'cl_khr_icd cl_amd_event_callback cl_amd_embedded_devices cl_khr_d3d10_sharing4',
                                                                                                                    #      'nack2return': ' '
                                                                                                                    #}; time: 01:38:09 04/27/11 Pacific Daylight Time}
 
                
        return platforminfo2xi
                                
                            
    #</methodize4xi>                                     
    # ---------------------------------------------------------------------------------------------
    #<methodize4xi method = "sense-of-PlatformInfo4Xi" usage = "senses PlatformInfo4Xi class objects">
    
    # ---------------------------------------------------------------------------------------------
    def sense(self):
        '''
        method sense: senses PlatformInfo4Xi class objects
        '''
        
        # -----------------------------------------------------------------------------------------
        #
        # ----------------------------------------------------------------------------------------- 
        class2print = 'PlatformInfo4Xi'
        method2print = 'sense'
        
                     
        message2print = "{(Step 1A/33) started" + "; sense-of-PlatformInfo4Xi-started: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)   
        
        
        # -----------------------------------------------------------------------------------------
        #
        # -----------------------------------------------------------------------------------------  
        
        message2print = "{(Step 2A/33) sensing" + "; PlatformInfo4Xi-sensing-by-sense-of-PlatformInfo4Xi: " + str(PlatformInfo4Xi)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)         
                        
        
        # -----------------------------------------------------------------------------------------
        # get sensed knowledge for this object
        # -----------------------------------------------------------------------------------------        
        
        kb2xi = sense_object4xi(self)
        
        message2print = "{(Step 3A/33) got" + "; kb2xi-got-by-sense-of-PlatformInfo4Xi: " + str(kb2xi)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)
                
        
        # -----------------------------------------------------------------------------------------
        # add knowledge specific to this object
        # format example: kb2xi['time2xi'] = time4xi() #adding time 
        # -----------------------------------------------------------------------------------------         
        try:
            kb2xi['classvariable2platform-of-PlatformInfo4Xi'] = PlatformInfo4Xi.classvariable2platform
        except:
            message2print = "{(Step 4A/33) yielded" + "; kb2xi-yielded-by-sense-of-PlatformInfo4Xi: " + str(kb2xi)  + "; time: " + time4xi() + "}"
            print4xi(class2print, method2print, message2print) 
            
      
        message2print = "{(Step 5A/33) sensed" + "; PlatformInfo4Xi-sensed-by-sense-of-PlatformInfo4Xi: " + str(PlatformInfo4Xi)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)    
        
        # -----------------------------------------------------------------------------------------
        # 
        # -----------------------------------------------------------------------------------------         
        
        message2print = "{(Step 6A/33) returning" + "; kb2xi-returning-by-sense-of-PlatformInfo4Xi: " + str(kb2xi) + "; time: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print)    
                                
          
        return kb2xi
        
        # -----------------------------------------------------------------------------------------
        #
        # -----------------------------------------------------------------------------------------        
    #</methodize4xi>
    
        
    # ---------------------------------------------------------------------------------------------
    #<methodize4xi method = "reason-of-PlatformInfo4Xi" usage = "reasons PlatformInfo4Xi class objects">
    
    # ---------------------------------------------------------------------------------------------
    def reason(self):
        '''
        method reason: reasons PlatformInfo4Xi class objects
        '''
        
        # -----------------------------------------------------------------------------------------
        #
        # ----------------------------------------------------------------------------------------- 
        class2print = 'PlatformInfo4Xi'
        method2print = 'reason'

                     
        message2print = "{(Step 1A/33) started" + "; reason-of-PlatformInfo4Xi-started: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)   
          
        
        # -----------------------------------------------------------------------------------------
        #
        # -----------------------------------------------------------------------------------------
        
        message2print = "{(Step 2A/33) reasoning" + "; PlatformInfo4Xi-reasoning-by-reason-of-PlatformInfo4Xi: " + str(PlatformInfo4Xi) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print) 
                
        
        # -----------------------------------------------------------------------------------------
        # get reasoned knowledge for this object
        # -----------------------------------------------------------------------------------------         
        
        kb4xi = reason_object4xi(self)
        
        
        message2print = "{(Step 3A/33) got" + "; kb4xi-got-by-reason-of-PlatformInfo4Xi: " + str(kb4xi)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)
                
        
        # -----------------------------------------------------------------------------------------
        # add knowledge specific to this object
        # format example: kb4xi['time2xi'] = time4xi() #adding time 
        # -----------------------------------------------------------------------------------------          
        try:
            kb4xi['time-reason-of-PlatformInfo4Xi'] = time4xi() #adding time
        except:
            message2print = "{(Step 4Z/33) yielded" + "; kb4xi-yielded-by-reason-of-PlatformInfo4Xi: " + str(kb4xi)  + "; time: " + time4xi() + "}"
            print4xi(class2print, method2print, message2print) 
        
          
        
        message2print = "{(Step 5A/33) reasoned" + "; PlatformInfo4Xi-reasoned-by-reason-of-PlatformInfo4Xi: " + str(PlatformInfo4Xi) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)        
        
        # -----------------------------------------------------------------------------------------
        #
        # -----------------------------------------------------------------------------------------        
        
        message2print = "{(Step 6A/33) returning" + "; kb4xi-returning-by-reason-of-PlatformInfo4Xi: " + str(kb4xi) + "; time: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print)    
                                
          
        return kb4xi
        
        # -----------------------------------------------------------------------------------------
        #
        # -----------------------------------------------------------------------------------------            
    #</methodize4xi>
    
    
    # ---------------------------------------------------------------------------------------------
    #<methodize4xi method = "ace-of-PlatformInfo4Xi" usage = "aces PlatformInfo4Xi class objects">
    
    # ---------------------------------------------------------------------------------------------
    def ace(self):
        '''
        method ace: aces PlatformInfo4Xi class objects 
        '''
        
        # -----------------------------------------------------------------------------------------
        #
        # -----------------------------------------------------------------------------------------       
        
        
        class2print = 'PlatformInfo4Xi'
        method2print = 'ace'
        
                     
        message2print = "{(Step 1A/33) started" + "; ace-of-PlatformInfo4Xi-started: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)   
              
        
        # -----------------------------------------------------------------------------------------
        #
        # -----------------------------------------------------------------------------------------
        
        message2print = "{(Step 2A/33) acing" + "; PlatformInfo4Xi-acing-by-ace-of-PlatformInfo4Xi: " + str(PlatformInfo4Xi) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)         
                    
        
        # -----------------------------------------------------------------------------------------
        # get aced knowledge for this object
        # -----------------------------------------------------------------------------------------        
        
        kb8xi = ace_object4xi(self)  
        
        message2print = "{(Step 3A/33) got" + "; kb8xi-got-by-ace-of-PlatformInfo4Xi: " + str(kb8xi)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)
                


        # -----------------------------------------------------------------------------------------
        # add knowledge specific to this object
        # format example: kb8xi['time2xi'] = time4xi() #adding time 
        # -----------------------------------------------------------------------------------------              
        try:
             kb8xi['time-ace-of-PlatformInfo4Xi'] = time4xi()
        except:
             message2print = "{(Step 4A/33) yielded" + "; kb8xi-yielded-by-ace-of-PlatformInfo4Xi: " + str(kb8xi)  + "; time: " + time4xi() + "}"
             print4xi(class2print, method2print, message2print) 
  
        message2print = "{(Step 5A/33) aced" + "; PlatformInfo4Xi-aced-by-ace-of-PlatformInfo4Xi: " + str(PlatformInfo4Xi) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)         
        
        # -----------------------------------------------------------------------------------------
        #
        # -----------------------------------------------------------------------------------------        
        message2print = "{(Step 6A/33) returning" + "; kb8xi-returning-by-ace-of-PlatformInfo4Xi: " + str(kb8xi) + "; time: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print)    
                                  
        
        return kb8xi
        
        # -----------------------------------------------------------------------------------------
        #
        # -----------------------------------------------------------------------------------------            
    #</methodize4xi>
#</class4xi>
#</program4xi>

# -------------------------------------------------------------------------------------------------
# Recorded History                             
# ------------------------------------------------------------------------------------------------- 
#<record4xi record = "
#   get2platforminfo4xi5test.txt
#   sense-test-get2platforminfo4xi.xml
#   reason-test-get2platforminfo4xi.xml
#   ace-test-get2platforminfo4xi.xml
#"
#>

#<acknowledge4xi acknowledgement = "33" tester = "Small & Smart"/>


# -------------------------------------------------------------------------------------------------
# to-be-done                              
# -------------------------------------------------------------------------------------------------    
#<do4xi do = "
# None
#"
#/>

#<note4xi note = "
# parse4xi.py - to parse this module
# "/>

# -------------------------------------------------------------------------------------------------
# Legal Notice                             
# ------------------------------------------------------------------------------------------------- 
#<protect4xi protection = "copyright"
#   owner = "Small & Smart"
#   rights = "All rights reserved"
#   state = "California"
#   country = "United States of America"
#   codes = "Codes established in California and applicable to corporations in California"
#   compliance = "The California Law"
#   court = "Supreme Court of California, 350 McAllister Street, San Francisco, CA 94102-4783"
#/>

#<end4xi end = "
# -------------------------------------------------------------------------------------------------
# end of platforminfo4xi.py                              
# ------------------------------------------------------------------------------------------------- 
#"
#/>
